> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentchain.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit balance and transaction history



## OpenAPI

````yaml GET /api/v1/operator/billing
openapi: 3.0.0
info:
  title: AgentChain & PRIOR API
  description: The centralized gateway for the decentralized compute network.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.agentchain.xyz
    description: Production
security: []
tags: []
paths:
  /api/v1/operator/billing:
    get:
      tags:
        - operator
      summary: Get credit balance and transaction history
      operationId: OperatorController_getBilling
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingDataDto'
      security:
        - bearer: []
components:
  schemas:
    BillingDataDto:
      type: object
      properties:
        balance:
          $ref: '#/components/schemas/CreditBalanceDto'
      required:
        - balance
    CreditBalanceDto:
      type: object
      properties:
        id:
          type: string
        operatorId:
          type: string
        balance:
          type: number
        monthlyAllocation:
          type: number
        lastResetAt:
          type: string
      required:
        - id
        - operatorId
        - balance
        - monthlyAllocation
        - lastResetAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````